#!/bin/bash
## SGE options
#$ -N blast
#$ -q queuebreps
#$ -cwd
#$ -S /bin/bash
#$ -o ./logs/blast_out.log
#$ -e ./logs/blast_err.log
##
BLAST_DIR="/home/jke/BrEPSdb/blast-current/bin"
SEQS_DIR="/home/jke/BrEPSdb/blast"
## Start blast job with .tmp extension
${BLAST_DIR}/blastp -db ${SEQS_DIR}/blast_db.fsa -query ${SEQS_DIR}/sequences_${SGE_TASK_ID}.fsa -outfmt "6 qseqid sseqid evalue nident" -out ${SEQS_DIR}/sequences_${SGE_TASK_ID}.fsa.tmp -max_target_seqs 100000 -num_threads 1 -evalue 0.0001;
## Rename .tmp to .res for further processing
mv ${SEQS_DIR}/sequences_${SGE_TASK_ID}.fsa.tmp ${SEQS_DIR}/sequences_${SGE_TASK_ID}.fsa.res
